## bsdgames 2.0

=== Makefile ===
# Makefile - makefile for bsd-games

include Makeconfig

# Directories we can do `make test' in
TESTDIRS=bcd factor morse primes number pom ppt wargames

all:
	@set -e; for i in $(BUILDDIRS); do \
	    echo "Making all in $$i"; \
	    cd $$i; \
	    make all; \
	    cd $(SRCDIR); \
	done

install:
	@echo "If directory creation fails, you can create the directories \
	      by hand."
	@echo "Creating base directories:"
	@set -e; for i in $(GAMESDIR) $(SBINDIR) $(USRBINDIR) \
	    $(MAN5DIR) $(MAN6DIR) $(MAN8DIR) $(LIBDIR) $(SHAREDIR) \
	    $(VARLIBDIR); do \
	    echo " $(INSTALL_PREFIX)$$i"; \
	    test -d $(INSTALL_PREFIX)$$i || \
	    install -d $(INSTALL_PREFIX)$$i; \
	done
	@echo ""
	@set -e; for i in $(BUILDDIRS); do \
	    echo "Making install in $$i"; \
	    cd $$i; \
	    make install; \
	    cd $(SRCDIR); \
	done

clean:
	@set -e; for i in $(BUILDDIRS); do \
	    echo "Making clean in $$i"; \
	    cd $$i; \
	    make clean; \
	    cd $(SRCDIR); \
	done

distclean:	clean
	rm -f subst.sed hide-game
	rm -f `cat substfiles`

test:
	@set -e; for i in $(TESTDIRS); do \
	    echo "Making test in $$i"; \
	    cd $$i; \
	    make test; \
	    cd $(SRCDIR); \
	done

=== adventure/Makefile ===
# Makefile - makefile for adventure

include ../Makeconfig

PROG = adventure

OBJS = main.o init.o done.o save.o subr.o vocab.o wizard.o io.o data.o crc.o

INCS = -I../include

all:	$(PROG)

$(PROG):	$(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) -o $(PROG)

data.c:	glorkz setup
	./setup glorkz >data.c

setup:	setup.c hdr.h
	$(CC) $(CFLAGS) $(INCS) $(LDFLAGS) setup.c -o setup

.c.o:	
	$(CC) $(CFLAGS) $(INCS) -c $< -o $@

$(OBJS):	hdr.h extern.h

install:	$(PROG)
	$(INSTALL_BINARY) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	$(INSTALL_MANUAL) $(PROG).6

clean:	
	rm -f $(PROG) core data.c setup *.o

=== arithmetic/Makefile ===
# Makefile - makefile for arithmetic

include ../Makeconfig

PROG = arithmetic

all:	$(PROG)

$(PROG):	$(PROG).c
	$(CC) $(CFLAGS) -I../include $(LDFLAGS) -o $(PROG) $(PROG).c

install:	$(PROG)
	$(INSTALL_BINARY) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	$(INSTALL_MANUAL) $(PROG).6

clean:
	rm -f $(PROG) core *.o

=== atc/Makefile ===
# Makefile - makefile for atc

include ../Makeconfig

PROG		= atc

SRCS=	extern.c grammar.c graphics.c input.c lex.c list.c log.c \
	main.c tunable.c update.c
OBJS=	extern.o grammar.o graphics.o input.o lex.o list.o log.o \
	main.o tunable.o update.o

LIBS=	-lm $(NCURSES_LIB) $(LEX_LIB)

GAMES = Game_List default easy crossover Killer game_2 Atlantis OHare \
	Tic-Tac-Toe airports box crosshatch game_3 game_4 novice two-corners

INCS = -I../include $(NCURSES_INCS)
DEFS = $(BSD_SIGNAL_DEFS) -DBSD -DYY_NO_UNPUT

all:	$(PROG)

$(PROG):	$(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $(PROG)

grammar.c:	grammar.y
	$(YACC) -d grammar.y
	mv y.tab.c grammar.c

lex.c:	lex.l
	$(LEX) lex.l
	mv lex.yy.c lex.c

.c.o:	
	$(CC) $(CFLAGS) $(DEFS) $(INCS) -c $< -o $@

$(OBJS):	def.h extern.h include.h pathnames.h struct.h tunable.h

install:	$(PROG)
	$(INSTALL_SCORE_GAME) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	test -d $(INSTALL_PREFIX)$(ATC_DIR) || \
	    install -d $(INSTALL_PREFIX)$(ATC_DIR)
	(set -e; cd games; \
	    $(INSTALL_DATA) $(GAMES) $(INSTALL_PREFIX)$(ATC_DIR) )
	$(INSTALL_SCORE_FILE) $(ATC_SCOREFILE)
	$(INSTALL_MANUAL) $(PROG).6

clean:
	rm -f $(PROG) grammar.c y.tab.h lex.c core *.o

=== backgammon/Makefile ===
# Makefile - makefile for backgammon

# config information not needed!

all:	backgammon/backgammon teachgammon/teachgammon

backgammon/backgammon:
	@set -e; for i in common_source backgammon; do \
	    echo "Making all in $$i"; \
	    cd $$i; \
	    make all; \
	    cd ..; \
	done

teachgammon/teachgammon:
	@set -e; for i in common_source teachgammon; do \
	    echo "Making all in $$i"; \
	    cd $$i; \
	    make all; \
	    cd ..; \
	done

install:
	@set -e; for i in backgammon teachgammon; do \
	    echo "Making install in $$i"; \
	    cd $$i; \
	    make install; \
	    cd ..; \
	done

clean:	
	@set -e; for i in backgammon teachgammon common_source; do \
	    echo "Making clean in $$i"; \
	    cd $$i; \
	    make clean; \
	    cd ..; \
	done

=== banner/Makefile ===
# Makefile - makefile for banner

include ../Makeconfig

PROG = banner

all:	$(PROG)

$(PROG):	$(PROG).c
	$(CC) $(CFLAGS) -I../include $(LDFLAGS) -o $(PROG) $(PROG).c

install:	$(PROG)
	$(INSTALL_BINARY) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	$(INSTALL_MANUAL) $(PROG).6

clean:	
	rm -f $(PROG) core *.o

=== battlestar/Makefile ===
# Makefile - makefile for battlestar

include ../Makeconfig

PROG = battlestar

SRCS=	battlestar.c com1.c com2.c com3.c com4.c com5.c com6.c com7.c \
	init.c cypher.c getcom.c parse.c room.c save.c fly.c misc.c \
	globals.c dayfile.c nightfile.c dayobjs.c nightobjs.c words.c
OBJS=	battlestar.o com1.o com2.o com3.o com4.o com5.o com6.o com7.o \
	init.o cypher.o getcom.o parse.o room.o save.o fly.o misc.o \
	globals.o dayfile.o nightfile.o dayobjs.o nightobjs.o words.o

LIBS = $(NCURSES_LIB)

INCS = -I../include $(NCURSES_INCS)

DEFS = $(BSD_SIGNAL_DEFS)

all:	$(PROG)

$(PROG):	$(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $(PROG)

.c.o:	
	$(CC) $(CFLAGS) $(DEFS) $(INCS) -c $< -o $@

$(OBJS):	extern.h

com6.o:	pathnames.h

install:	$(PROG)
	$(INSTALL_SCORE_GAME) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	$(INSTALL_MANUAL) $(PROG).6
	$(INSTALL_SCORE_FILE) $(BATTLESTAR_SCOREFILE)

clean:
	rm -f $(PROG) core *.o

=== canfield/Makefile ===
# Makefile - makefile for canfield

all:
	@set -e; for i in canfield cfscores; do \
	    echo "Making all in $$i"; \
	    cd $$i; \
	    make all; \
	    cd ..; \
	done

install:
	@set -e; for i in canfield cfscores; do \
	    echo "Making install in $$i"; \
	    cd $$i; \
	    make install; \
	    cd ..; \
	done

clean:
	@set -e; for i in canfield cfscores; do \
	    echo "Making clean in $$i"; \
	    cd $$i; \
	    make clean; \
	    cd ..; \
	done

=== dm/Makefile ===
# Makefile - makefile for dm

include ../Makeconfig

PROG = dm

# Add -DLOG if you want logging

DEFS = # -DLOG

INCS = -I../include

all:	$(PROG)

$(PROG):	$(PROG).c pathnames.h
	$(CC) $(CFLAGS) $(DEFS) -I../include $(LDFLAGS) -o $(PROG) $(PROG).c

install:	$(PROG)
	$(INSTALL_DM) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(INSTALL_MANUAL) $(PROG).8
	$(INSTALL_MANUAL) $(PROG).conf.5

clean:	
	rm -f $(PROG) core *.o

=== factor/Makefile ===
# Makefile - makefile for factor

include ../Makeconfig

PROG = factor

INCS = -I../include -I../primes

all:	$(PROG)

$(PROG):	pr_tbl.o $(PROG).c
	$(CC) $(CFLAGS) $(LDFLAGS) $(INCS) -o $(PROG) $(PROG).c pr_tbl.o

pr_tbl.o:	../primes/primes.h ../primes/pr_tbl.c
	$(CC) $(CFLAGS) $(INCS) -c ../primes/pr_tbl.c -o pr_tbl.o

install:	$(PROG)
	$(INSTALL_BINARY) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	$(INSTALL_MANUAL) $(PROG).6

test:	$(PROG)
	./factor 69300

clean:
	rm -f $(PROG) core *.o

=== fish/Makefile ===
# Makefile - makefile for fish

include ../Makeconfig

PROG = fish

DEFS = 
INCS = -I../include

all:	$(PROG)

$(PROG):	$(PROG).c pathnames.h
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFS) $(INCS) -o $(PROG) $(PROG).c

install:	$(PROG)
	$(INSTALL_BINARY) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	$(INSTALL_DATA) fish.instr $(INSTALL_PREFIX)$(FISH_INSTRFILE)
	$(INSTALL_MANUAL) $(PROG).6

clean:
	rm -f $(PROG) core *.o

=== fortune/Makefile ===
# Makefile - makefile for fortune

# Config information not needed!

all:
	@set -e; for i in strfile fortune datfiles; do \
	    echo "Making all in $$i"; \
	    cd $$i; \
	    make all; \
	    cd ..; \
	done

install:
	@set -e; for i in strfile fortune datfiles; do \
	    echo "Making install in $$i"; \
	    cd $$i; \
	    make install; \
	    cd ..; \
	done

clean:
	@set -e; for i in strfile fortune unstr datfiles; do \
	    echo "Making clean in $$i"; \
	    cd $$i; \
	    make clean; \
	    cd ..; \
	done
	rm -f fortunes

test:	all
	set -e; cd fortune; make test; cd ..; ln -sf datfiles fortunes

## bsdgames 2.1

=== atc/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	Tic-Tac-Toe airports box crosshatch game_3 game_4 novice two-corners
 
 INCS = -I../include $(NCURSES_INCS)
-DEFS = $(BSD_SIGNAL_DEFS) -DBSD -DYY_NO_UNPUT
+DEFS = -DBSD -DYY_NO_UNPUT
 
 all:	$(PROG)

=== backgammon/Makefile ===
# Makefile - makefile for backgammon

include ../Makeconfig

all:	backgammon/backgammon teachgammon/teachgammon

backgammon/backgammon:
	@set -e; for i in common_source backgammon; do \
	    echo "Making all in $$i"; \
	    cd $$i; \
	    $(MAKE) all; \
	    cd ..; \
	done

teachgammon/teachgammon:
	@set -e; for i in common_source teachgammon; do \
	    echo "Making all in $$i"; \
	    cd $$i; \
	    $(MAKE) all; \
	    cd ..; \
	done

install:
	@set -e; for i in backgammon teachgammon; do \
	    echo "Making install in $$i"; \
	    cd $$i; \
	    $(MAKE) install $(DEFS_TO_PASS); \
	    cd ..; \
	done

clean:	
	@set -e; for i in backgammon teachgammon common_source; do \
	    echo "Making clean in $$i"; \
	    cd $$i; \
	    $(MAKE) clean; \
	    cd ..; \
	done

=== battlestar/Makefile ===
--- 
+++ 
@@ -14,8 +14,7 @@
 LIBS = $(NCURSES_LIB)
 
 INCS = -I../include $(NCURSES_INCS)
-
-DEFS = $(BSD_SIGNAL_DEFS)
+DEFS = 
 
 all:	$(PROG)

=== bcd/Makefile ===
# Makefile - makefile for bcd

include ../Makeconfig

PROG = bcd

all:	$(PROG)

$(PROG):	$(PROG).c
	$(CC) $(CFLAGS) -I../include $(LDFLAGS) -o $(PROG) $(PROG).c

install:	$(PROG)
	$(INSTALL_BINARY) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	$(INSTALL_MANUAL) $(PROG).6

test:	$(PROG)
	date | ./bcd

clean:
	rm -f $(PROG) core *.o

=== caesar/Makefile ===
# Makefile - makefile for caesar

include ../Makeconfig

PROG = caesar
LIBS = -lm

all:	$(PROG)

$(PROG):	$(PROG).c
	$(CC) $(CFLAGS) -I../include $(LDFLAGS) -o $(PROG) $(PROG).c $(LIBS)

install:	$(PROG)
	$(INSTALL_BINARY) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	$(INSTALL_SCRIPT) rot13 $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) rot13
	$(INSTALL_MANUAL) $(PROG).6
	$(INSTALL_MANUAL) $(PROG).6 rot13.6

#test:	$(PROG)
#	./caesar < ../fortune/datfiles/fortunes-o.fake.rot13

clean:
	rm -f $(PROG) core *.o

=== canfield/Makefile ===
# Makefile - makefile for canfield

include ../Makeconfig

all:
	@set -e; for i in canfield cfscores; do \
	    echo "Making all in $$i"; \
	    cd $$i; \
	    $(MAKE) all; \
	    cd ..; \
	done

install:
	@set -e; for i in canfield cfscores; do \
	    echo "Making install in $$i"; \
	    cd $$i; \
	    $(MAKE) install $(DEFS_TO_PASS); \
	    cd ..; \
	done

clean:
	@set -e; for i in canfield cfscores; do \
	    echo "Making clean in $$i"; \
	    cd $$i; \
	    $(MAKE) clean; \
	    cd ..; \
	done

=== countmail/Makefile ===
# Makefile - makefile for countmail

include ../Makeconfig

PROG = countmail

all:	$(PROG)

$(PROG):

install:	$(PROG)
	$(INSTALL_SCRIPT) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	$(INSTALL_MANUAL) $(PROG).6

clean:

=== cribbage/Makefile ===
# Makefile - makefile for cribbage

include ../Makeconfig

PROG      = cribbage

SRCS=	extern.c crib.c cards.c instr.c io.c score.c support.c
OBJS=	extern.o crib.o cards.o instr.o io.o score.o support.o

LIBS = $(NCURSES_LIB)
INCS = -I../include $(NCURSES_INCS)
DEFS = 

all:	$(PROG)

$(PROG):	$(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $(PROG)

.c.o:	
	$(CC) $(CFLAGS) $(DEFS) $(INCS) -c $< -o $@

$(OBJS):	cribbage.h cribcur.h deck.h pathnames.h

install:	$(PROG)
	$(INSTALL_SCORE_GAME) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	$(INSTALL_DATA) $(PROG).n $(INSTALL_PREFIX)$(CRIBBAGE_INSTRFILE)
	$(INSTALL_SCORE_FILE) $(CRIBBAGE_SCOREFILE)
	$(INSTALL_MANUAL) $(PROG).6

clean:	
	rm -f $(PROG) core *.o

=== dm/Makefile ===
# Makefile - makefile for dm

include ../Makeconfig

PROG = dm
OBJS = dm.o getloadavg.o

# Add -DLOG if you want logging

DEFS = # -DLOG

INCS = -I../include

all:	$(PROG)

$(PROG):	$(OBJS)
	$(CC) $(LDFLAGS) -o $(PROG) $(OBJS)

dm.o:	dm.c
	$(CC) $(CFLAGS) $(DEFS) $(INCS) -c $< -o $@

getloadavg.o:	../lib/getloadavg.c
	$(CC) $(CFLAGS) $(DEFS) $(INCS) -c $< -o $@

install:	$(PROG)
	$(INSTALL_DM) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(INSTALL_MANUAL) $(PROG).8
	$(INSTALL_MANUAL) $(PROG).conf.5

clean:	
	rm -f $(PROG) core *.o

=== fortune/Makefile ===
# Makefile - makefile for fortune

include ../Makeconfig

all:
	@set -e; for i in strfile fortune datfiles; do \
	    echo "Making all in $$i"; \
	    cd $$i; \
	    $(MAKE) all; \
	    cd ..; \
	done

install:
	@set -e; for i in strfile fortune datfiles; do \
	    echo "Making install in $$i"; \
	    cd $$i; \
	    $(MAKE) install $(DEFS_TO_PASS); \
	    cd ..; \
	done

clean:
	@set -e; for i in strfile fortune unstr datfiles; do \
	    echo "Making clean in $$i"; \
	    cd $$i; \
	    $(MAKE) clean; \
	    cd ..; \
	done
	rm -f fortunes

test:	all
	set -e; cd fortune; $(MAKE) test; cd ..; ln -sf datfiles fortunes

=== gomoku/Makefile ===
# Makefile - makefile for gomoku

include ../Makeconfig

SRCS = bdinit.c bdisp.c main.c makemove.c pickmove.c stoc.c
OBJS = bdinit.o bdisp.o main.o makemove.o pickmove.o stoc.o

LIBS = $(NCURSES_LIB)
INCS = -I../include $(NCURSES_INCS)
DEFS = 

all:	gomoku

gomoku:	$(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o gomoku

.c.o:
	$(CC) $(CFLAGS) $(DEFS) $(INCS) -c $< -o $@

$(OBJS):	gomoku.h

clean:	
	rm -f *.o gomoku core

install:	gomoku
	$(INSTALL_BINARY) gomoku $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) gomoku
	$(INSTALL_MANUAL) gomoku.6

=== hangman/Makefile ===
# Makefile - makefile for hangman

include ../Makeconfig

PROG = hangman

SRCS=	endgame.c extern.c getguess.c getword.c main.c playgame.c \
	prdata.c prman.c prword.c setup.c
OBJS=	endgame.o extern.o getguess.o getword.o main.o playgame.o \
	prdata.o prman.o prword.o setup.o

WORDS     = words

LIBS = $(NCURSES_LIB)
INCS = -I../include $(NCURSES_INCS)
DEFS = 

all:	$(PROG)

$(PROG):	$(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $(PROG)

.c.o:	
	$(CC) $(CFLAGS) $(DEFS) $(INCS) -c $< -o $@

$(OBJS):	hangman.h pathnames.h

install:	$(PROG)
	$(INSTALL_BINARY) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	$(INSTALL_DATA) $(WORDS) $(INSTALL_PREFIX)$(HANGMAN_WORDSFILE)
	$(INSTALL_MANUAL) $(PROG).6

clean:
	rm -f $(PROG) core *.o

## bsdgames 2.17

=== debian/changelog ===
bsdgames (2.17-35) unstable; urgency=medium

  * Revert removal of games. (Closes: #1069795, #1069807)
    All previously included games are included again, there is
    obviously demand for almost all of them. I've received many
    mails and bug reports to please keep a specific program.
    So I've decided to re-enable all of them. In my opinion, it's
    not sensible to switch to the alternative upstream at
    https://sourceforge.net/projects/bsd-games/, because too
    many games have been removed from those sources.
    This version of bsdgames is therefore essentially the same as
    version 2.17-30.  
  * Remove pbuilder setting from gbp.conf
  * Remove hunt from games, does no longer build
  * atc: Won't allocate 26th plane if it was the most recently allocated plane.
    Thanks to Jonathan David Amery <jdamery@ysolde.ucam.org> (Closes: #214626)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 23 Jan 2025 21:24:48 +0100

bsdgames (2.17-34) unstable; urgency=medium

  * Enable building of 'quiz' again. (Closes: #1069729)
  * Update Standards-Version to 4.7.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 24 Apr 2024 10:37:02 +0200

bsdgames (2.17-33) unstable; urgency=medium

  * Re-enable pom, still in use

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 06 Apr 2024 21:27:08 +0200

bsdgames (2.17-32) unstable; urgency=medium

  * Remove phantasia files from pre- and postinst. Closes: #1068243

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 02 Apr 2024 17:53:12 +0200

bsdgames (2.17-31) unstable; urgency=medium

  * Disable building of some games, in order to prepare for a new
    upstream version found at https://sourceforge.net/projects/bsd-games/
    - Update list of included games
    - Update d/rules for removed games
    - Update d/dirs for removed games
    - Remove obsolete .desktop files
  * List of games which have been removed:
    - bcd
    - boggle
    - countmail
    - hunt (This currently FTBFS. Closes: #1066266)
    - mille
    - monop
    - morse
    - number
    - phantasia
    - pig
    - pom
    - ppt
    - quiz
    - rain
    - random
    - wargames
    - worms

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 01 Apr 2024 18:10:52 +0200

bsdgames (2.17-30) unstable; urgency=medium

  * Change gbp.conf for DEP-14 branch layout
  * Switch to debhelper-compat
  * Refresh patches
  * Sync acronyms and acronyms.comp with NetBSD-HEAD
  * rain: Default delay is in wrong units, making it effectively 0.
    Thanks to Asher Gordon <AsDaGo@posteo.net> (Closes: #723808, #947222)
  * Revert WTF acronym.
    Thanks to Salvo Tomaselli <tiposchi@tiscali.it> (Closes: #930473)
  * trek: Fix error that prevents visual command from working
    under some circumstances.
    Thanks to James Baldwin-Brown <jgbaldwinbrown@gmail.com> (Closes: #964235)
  * Update README and remove games which are not installed.
    Thanks to Γιώργος Κωστόπουλος <giorgosk67@gmail.com> (Closes: #1030338)
  * Build-Depend on libncurses-dev instead of libncurses5-dev
  * Update Standards-Version to 4.6.2, no changes needed
  * Add Suggests: mailutils and sync countmail with NetBSD-HEAD.
    Thanks to Jakub Wilk <jwilk@jwilk.net> (Closes: #1042397)
  * Add desktop files and generic icon for all programs.
    Also remove obsolete d/menu file.
    (Closes: #723695, #723900, #726215)
  * Use debhelper v13

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 30 Jul 2023 00:42:16 +0200

bsdgames (2.17-29) unstable; urgency=medium

  * Team upload.
  * Specify format string literals for all printw() calls.
    Closes: #995597.

 -- Stephen Kitt <skitt@debian.org>  Mon, 11 Oct 2021 14:23:15 +0200

bsdgames (2.17-28) unstable; urgency=medium

  * hack: Fix segv when 'i' (inventory) done after load from saved game.
    Not all name information was saved or recovered leaving pointers to
    nothing.
    Thanks to Richard Henschel <rhenschel@accesscomm.ca>
  * Make choice of c compiler more flexible to help cross building.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #897048)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 28 Apr 2018 15:14:43 +0200

bsdgames (2.17-27) unstable; urgency=medium

  * Use debhelper v11
  * Run wrap-and-sort
  * Switch d/watch to version 4
  * Switch Vcs-URLs to salsa.d.o
  * Update Standards-Version to 4.1.4, no changes needed
  * Convert patch system from quilt to git-buildpackage
  * Rename and renumber patches, no content changes
  * Update acronyms from NetBSD. (Closes: #798185)
  * Update primes to NetBSD CVS from 2018-02-03. (Closes: #762653)
  * Better explanation how to read the documentation.
    Thanks to Ben Wong <galadriel@wongs.net> (Closes: #874680)
  * Create and install pdf file for trek documentation

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 27 Apr 2018 11:39:09 +0200

bsdgames (2.17-26) unstable; urgency=medium

  * Fix FTBFS with libncurses6.
    Thanks to Sven Joachim <svenjoac@gmx.de> (Closes: #880492)
  * Update Standards-Version to 4.1.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 01 Nov 2017 17:37:54 +0100

bsdgames (2.17-25) unstable; urgency=medium

  * Add libfl-dev to Build-Depends.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #846412)
  * Use debhelper v10
  * Update to Standards-Version 3.9.8, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 05 Dec 2016 18:27:24 +0100

bsdgames (2.17-24) unstable; urgency=medium

  [ Ben Finney ]
  * adventure:
    - Declare “Provides: adventure” as this is one possible implementation
      of the Colossal Cave Adventure.
    - Use Debian alternatives system to present ‘bsdgames-adventure’ as an
      implementation of ‘adventure’.

  [ Dr. Tobias Quathamer ]
  * Rename adventure to bsdgames-adventure. Together with the changes
    from Ben Finney above, this enables the update-alternatives system.
    Closes: #802422
  * Remove obsolete upstream site from d/watch


=== debian/control ===
Source: bsdgames
Section: games
Priority: optional
Build-Depends: bison,
               debhelper-compat (= 13),
               flex,
               groff,
               libfl-dev,
               libncurses-dev,
               wamerican,
               wbritish
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/bsdgames
Vcs-Git: https://salsa.debian.org/games-team/bsdgames.git
Rules-Requires-Root: binary-targets

Package: bsdgames
Architecture: any
Depends: wamerican | wordlist, ${misc:Depends}, ${shlibs:Depends}
Provides: adventure
Suggests: mailutils
Description: collection of classic textual unix games
 This is a collection of some of the text-based games and amusements that
 have been enjoyed for decades on unix systems.
 .
 It includes these programs: adventure, arithmetic, atc, backgammon,
 battlestar, bcd, boggle, caesar, canfield, countmail, cribbage, dab,
 go-fish, gomoku, hack, hangman, mille, monop, morse, number, phantasia, pig,
 pom, ppt, primes, quiz, rain, random, robots, sail, snake, tetris, trek,
 wargames, worm, worms, wtf, wump

=== debian/rules ===
#!/usr/bin/make -f

# Use all hardening features
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Make choice of c compiler more flexible to help cross building.
# See bug #897048
-include /usr/share/dpkg/buildtools.mk
export bsd_games_cfg_cc=$(CC)
export bsd_games_cfg_cxx=$(CXX)

%:
	dh $@

override_dh_auto_build:
	# Set up wordlist
	cat /usr/share/dict/american-english /usr/share/dict/british-english | \
		sort | uniq > temp-dictionary
	dh_auto_build
	# Generate a pdf file for trek documentation, see #874680
	cat trek/USD.doc/trek.me | tbl | groff -me -Tpdf > debian/trek.pdf

override_dh_installdocs:
	dh_installdocs
	cp atc/BUGS debian/bsdgames/usr/share/doc/bsdgames/BUGS.atc
	cp phantasia/README debian/bsdgames/usr/share/doc/bsdgames/README.phantasia
	cp boggle/README debian/bsdgames/usr/share/doc/bsdgames/README.boggle
	cp hack/Original_READ_ME debian/bsdgames/usr/share/doc/bsdgames/Original_READ_ME.hack
	cp hack/READ_ME debian/bsdgames/usr/share/doc/bsdgames/READ_ME.hack
	# Move phantasia's binary state files into /usr, they are copied
	# back to /var in the postinst.
	mv debian/bsdgames/var/games/bsdgames/phantasia/monsters \
	   debian/bsdgames/var/games/bsdgames/phantasia/void \
	   debian/bsdgames/usr/share/games/bsdgames/phantasia/
	cat COPYING >> debian/bsdgames/usr/share/doc/bsdgames/copyright

override_dh_install:
	dh_install
	# Rename adventure to bsdgames-adventure to support the Debian
	# update-alternatives system. See bug #802422.
	mv debian/bsdgames/usr/games/adventure debian/bsdgames/usr/games/bsdgames-adventure
	mv debian/bsdgames/usr/share/man/man6/adventure.6 debian/bsdgames/usr/share/man/man6/bsdgames-adventure.6

override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_fixperms:
	dh_fixperms
	chmod -R u+rw debian/bsdgames/usr/
	# Games with score files need to be set up sgid games.
	chown root:games debian/bsdgames/usr/games/atc \
		debian/bsdgames/usr/games/battlestar \
		debian/bsdgames/usr/games/canfield \
		debian/bsdgames/usr/games/cribbage \
		debian/bsdgames/usr/games/robots \
		debian/bsdgames/usr/games/snake \
		debian/bsdgames/usr/games/tetris-bsd \
		debian/bsdgames/usr/games/phantasia \
		debian/bsdgames/usr/games/sail \
		debian/bsdgames/usr/games/hack
	chmod g+s debian/bsdgames/usr/games/atc \
		debian/bsdgames/usr/games/battlestar \
		debian/bsdgames/usr/games/canfield \
		debian/bsdgames/usr/games/cribbage \
		debian/bsdgames/usr/games/robots \
		debian/bsdgames/usr/games/snake \
		debian/bsdgames/usr/games/tetris-bsd \
		debian/bsdgames/usr/games/phantasia \
		debian/bsdgames/usr/games/sail \
		debian/bsdgames/usr/games/hack
	# The game directories need to be sgid too, and let's
	# remove all the zero byte score files in them.
	chown root:games debian/bsdgames/var/games/bsdgames/ \
		debian/bsdgames/var/games/bsdgames/sail \
		debian/bsdgames/var/games/bsdgames/phantasia \
		debian/bsdgames/var/games/bsdgames/hack \
		debian/bsdgames/var/games/bsdgames/hack/save
	chmod g+rws debian/bsdgames/var/games/bsdgames/ \
		debian/bsdgames/var/games/bsdgames/sail \
		debian/bsdgames/var/games/bsdgames/phantasia \
		debian/bsdgames/var/games/bsdgames/hack \
		debian/bsdgames/var/games/bsdgames/hack/save
	find debian/bsdgames/var/games/bsdgames -size 0 -exec rm {} \;

=== debian/watch ===
version=4
